Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-12869

Problem with upgradehelper.py and https option

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.1.0
    • Fix Version/s: 2.1.2
    • Component/s: ambari-server
    • Labels:
      None

      Description

      The code should be changed from store_false to store_true in order for the --https cli-opt to work:
      FROM:
      parser.add_option('--https', default=False, action="store_false", dest="https", help="Use https protocol for connection to the server")
      TO:
      parser.add_option('--https', default=False, action="store_true", dest="https", help="Use https protocol for connection to the server")

        Attachments

        1. AMBARI-12869.patch
          1 kB
          Vitaly Brodetskyi

          Issue Links

            Activity

              People

              • Assignee:
                vbrodetskyi Vitaly Brodetskyi
                Reporter:
                vbrodetskyi Vitaly Brodetskyi
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: